{
    "$graph": [
        {
            "class": "CommandLineTool",
            "arguments": [
                "$(inputs.java_7)",
                "-Xmx28g",
                "-Xms256m",
                "-XX:-UseGCOverheadLimit",
                "-jar",
                "$(inputs.mutect)",
                "--analysis_type",
                "MuTect"
            ],
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "ramMin": 50000,
                    "coresMin": 1,
                    "outdirMax": 20000,
                    "class": "ResourceRequirement"
                },
                {
                    "types": [
                        {
                            "type": "record",
                            "name": "#variants_tools.yaml/run_tools",
                            "fields": [
                                {
                                    "name": "#variants_tools.yaml/run_tools/bcftools",
                                    "type": "string"
                                },
                                {
                                    "name": "#variants_tools.yaml/run_tools/gbcms",
                                    "type": "string"
                                },
                                {
                                    "name": "#variants_tools.yaml/run_tools/java_7",
                                    "type": "string"
                                },
                                {
                                    "name": "#variants_tools.yaml/run_tools/mutect",
                                    "type": "string"
                                },
                                {
                                    "name": "#variants_tools.yaml/run_tools/vardict",
                                    "type": "string"
                                },
                                {
                                    "name": "#variants_tools.yaml/run_tools/vardict_testsomatic",
                                    "type": "string"
                                },
                                {
                                    "name": "#variants_tools.yaml/run_tools/vardict_var2vcf_paired",
                                    "type": "string"
                                },
                                {
                                    "name": "#variants_tools.yaml/run_tools/perl",
                                    "type": "string"
                                },
                                {
                                    "name": "#variants_tools.yaml/run_tools/vcf2maf",
                                    "type": "string"
                                },
                                {
                                    "name": "#variants_tools.yaml/run_tools/vep_path",
                                    "type": "string"
                                },
                                {
                                    "name": "#variants_tools.yaml/run_tools/vep_data",
                                    "type": "string"
                                }
                            ]
                        },
                        {
                            "name": "#mutect.yaml/mutect_params",
                            "type": "record",
                            "fields": [
                                {
                                    "type": [
                                        "null",
                                        "File"
                                    ],
                                    "name": "#mutect.yaml/mutect_params/BQSR"
                                },
                                {
                                    "type": [
                                        "null",
                                        "string"
                                    ],
                                    "name": "#mutect.yaml/mutect_params/absolute_copy_number_data"
                                },
                                {
                                    "type": [
                                        "null",
                                        "File"
                                    ],
                                    "name": "#mutect.yaml/mutect_params/arg_file"
                                },
                                {
                                    "type": [
                                        "null",
                                        "int"
                                    ],
                                    "name": "#mutect.yaml/mutect_params/baq"
                                },
                                {
                                    "type": [
                                        "null",
                                        "int"
                                    ],
                                    "name": "#mutect.yaml/mutect_params/baqGapOpenPenalty"
                                },
                                {
                                    "type": [
                                        "null",
                                        "string"
                                    ],
                                    "name": "#mutect.yaml/mutect_params/clipping_bias_pvalue_threshold"
                                },
                                {
                                    "type": [
                                        "null",
                                        "string"
                                    ],
                                    "name": "#mutect.yaml/mutect_params/coverage_20_q20_file"
                                },
                                {
                                    "type": [
                                        "null",
                                        "string"
                                    ],
                                    "name": "#mutect.yaml/mutect_params/coverage_file"
                                },
                                {
                                    "type": [
                                        "null",
                                        "string"
                                    ],
                                    "name": "#mutect.yaml/mutect_params/dbsnp_normal_lod"
                                },
                                {
                                    "type": "int",
                                    "name": "#mutect.yaml/mutect_params/dcov"
                                },
                                {
                                    "type": [
                                        "null",
                                        "int"
                                    ],
                                    "name": "#mutect.yaml/mutect_params/defaultBaseQualities"
                                },
                                {
                                    "type": [
                                        "null",
                                        "boolean"
                                    ],
                                    "name": "#mutect.yaml/mutect_params/disableRandomization"
                                },
                                {
                                    "type": [
                                        "null",
                                        "boolean"
                                    ],
                                    "name": "#mutect.yaml/mutect_params/disable_indel_quals"
                                },
                                {
                                    "type": [
                                        "null",
                                        "string"
                                    ],
                                    "name": "#mutect.yaml/mutect_params/downsample_to_coverage"
                                },
                                {
                                    "type": [
                                        "null",
                                        "string"
                                    ],
                                    "name": "#mutect.yaml/mutect_params/downsampling_type"
                                },
                                {
                                    "type": [
                                        "null",
                                        "boolean"
                                    ],
                                    "name": "#mutect.yaml/mutect_params/emit_original_quals"
                                },
                                {
                                    "type": [
                                        "null",
                                        "string"
                                    ],
                                    "name": "#mutect.yaml/mutect_params/excludeIntervals"
                                },
                                {
                                    "type": [
                                        "null",
                                        "string"
                                    ],
                                    "name": "#mutect.yaml/mutect_params/filter_mismatching_base_and_quals"
                                },
                                {
                                    "type": [
                                        "null",
                                        "string"
                                    ],
                                    "name": "#mutect.yaml/mutect_params/force_alleles"
                                },
                                {
                                    "type": [
                                        "null",
                                        "string"
                                    ],
                                    "name": "#mutect.yaml/mutect_params/force_output"
                                },
                                {
                                    "type": [
                                        "null",
                                        "float"
                                    ],
                                    "name": "#mutect.yaml/mutect_params/fraction_contamination"
                                },
                                {
                                    "type": [
                                        "null",
                                        "string"
                                    ],
                                    "name": "#mutect.yaml/mutect_params/fraction_mapq0_threshold"
                                },
                                {
                                    "type": [
                                        "null",
                                        "string"
                                    ],
                                    "name": "#mutect.yaml/mutect_params/gap_events_threshold"
                                },
                                {
                                    "type": [
                                        "null",
                                        "string"
                                    ],
                                    "name": "#mutect.yaml/mutect_params/gatk_key"
                                },
                                {
                                    "type": [
                                        "null",
                                        "string"
                                    ],
                                    "name": "#mutect.yaml/mutect_params/heavily_clipped_read_fraction"
                                },
                                {
                                    "type": [
                                        "null",
                                        "string"
                                    ],
                                    "name": "#mutect.yaml/mutect_params/initial_tumor_lod"
                                },
                                {
                                    "type": [
                                        "null",
                                        "int"
                                    ],
                                    "name": "#mutect.yaml/mutect_params/interval_merging"
                                },
                                {
                                    "type": [
                                        "null",
                                        "int"
                                    ],
                                    "name": "#mutect.yaml/mutect_params/interval_padding"
                                },
                                {
                                    "type": [
                                        "null",
                                        "string"
                                    ],
                                    "name": "#mutect.yaml/mutect_params/interval_set_rule"
                                },
                                {
                                    "type": [
                                        "null",
                                        "string"
                                    ],
                                    "name": "#mutect.yaml/mutect_params/intervals"
                                },
                                {
                                    "type": [
                                        "null",
                                        "boolean"
                                    ],
                                    "name": "#mutect.yaml/mutect_params/keep_program_records"
                                },
                                {
                                    "type": [
                                        "null",
                                        "string"
                                    ],
                                    "name": "#mutect.yaml/mutect_params/log_to_file"
                                },
                                {
                                    "type": [
                                        "null",
                                        "string"
                                    ],
                                    "name": "#mutect.yaml/mutect_params/logging_level"
                                },
                                {
                                    "type": [
                                        "null",
                                        "int"
                                    ],
                                    "name": "#mutect.yaml/mutect_params/maxRuntime"
                                },
                                {
                                    "type": [
                                        "null",
                                        "string"
                                    ],
                                    "name": "#mutect.yaml/mutect_params/maxRuntimeUnits"
                                },
                                {
                                    "type": [
                                        "null",
                                        "string"
                                    ],
                                    "name": "#mutect.yaml/mutect_params/max_alt_allele_in_normal_fraction"
                                },
                                {
                                    "type": [
                                        "null",
                                        "string"
                                    ],
                                    "name": "#mutect.yaml/mutect_params/max_alt_alleles_in_normal_count"
                                },
                                {
                                    "type": [
                                        "null",
                                        "string"
                                    ],
                                    "name": "#mutect.yaml/mutect_params/max_alt_alleles_in_normal_qscore_sum"
                                },
                                {
                                    "type": [
                                        "null",
                                        "string"
                                    ],
                                    "name": "#mutect.yaml/mutect_params/min_qscore"
                                },
                                {
                                    "type": [
                                        "null",
                                        "float"
                                    ],
                                    "name": "#mutect.yaml/mutect_params/minimum_mutation_cell_fraction"
                                },
                                {
                                    "type": [
                                        "null",
                                        "string"
                                    ],
                                    "name": "#mutect.yaml/mutect_params/minimum_normal_allele_fraction"
                                },
                                {
                                    "type": [
                                        "null",
                                        "string"
                                    ],
                                    "name": "#mutect.yaml/mutect_params/monitorThreadEfficiency"
                                },
                                {
                                    "type": [
                                        "null",
                                        "int"
                                    ],
                                    "name": "#mutect.yaml/mutect_params/nonDeterministicRandomSeed"
                                },
                                {
                                    "type": [
                                        "null",
                                        "string"
                                    ],
                                    "name": "#mutect.yaml/mutect_params/noop"
                                },
                                {
                                    "type": [
                                        "null",
                                        "string"
                                    ],
                                    "name": "#mutect.yaml/mutect_params/normal_depth_file"
                                },
                                {
                                    "type": [
                                        "null",
                                        "string"
                                    ],
                                    "name": "#mutect.yaml/mutect_params/normal_lod"
                                },
                                {
                                    "type": [
                                        "null",
                                        "int"
                                    ],
                                    "name": "#mutect.yaml/mutect_params/num_bam_file_handles"
                                },
                                {
                                    "type": [
                                        "null",
                                        "int"
                                    ],
                                    "name": "#mutect.yaml/mutect_params/num_cpu_threads_per_data_thread"
                                },
                                {
                                    "type": [
                                        "null",
                                        "int"
                                    ],
                                    "name": "#mutect.yaml/mutect_params/num_threads"
                                },
                                {
                                    "type": [
                                        "null",
                                        "string"
                                    ],
                                    "name": "#mutect.yaml/mutect_params/only_passing_calls"
                                },
                                {
                                    "type": [
                                        "null",
                                        "string"
                                    ],
                                    "name": "#mutect.yaml/mutect_params/out"
                                },
                                {
                                    "type": [
                                        "null",
                                        "string"
                                    ],
                                    "name": "#mutect.yaml/mutect_params/pedigree"
                                },
                                {
                                    "type": [
                                        "null",
                                        "string"
                                    ],
                                    "name": "#mutect.yaml/mutect_params/pedigreeString"
                                },
                                {
                                    "type": [
                                        "null",
                                        "string"
                                    ],
                                    "name": "#mutect.yaml/mutect_params/pedigreeValidationType"
                                },
                                {
                                    "type": [
                                        "null",
                                        "string"
                                    ],
                                    "name": "#mutect.yaml/mutect_params/performanceLog"
                                },
                                {
                                    "type": [
                                        "null",
                                        "string"
                                    ],
                                    "name": "#mutect.yaml/mutect_params/phone_home"
                                },
                                {
                                    "type": [
                                        "null",
                                        "string"
                                    ],
                                    "name": "#mutect.yaml/mutect_params/pir_mad_threshold"
                                },
                                {
                                    "type": [
                                        "null",
                                        "string"
                                    ],
                                    "name": "#mutect.yaml/mutect_params/pir_median_threshold"
                                },
                                {
                                    "type": [
                                        "null",
                                        "string"
                                    ],
                                    "name": "#mutect.yaml/mutect_params/power_constant_af"
                                },
                                {
                                    "type": [
                                        "null",
                                        "string"
                                    ],
                                    "name": "#mutect.yaml/mutect_params/power_constant_qscore"
                                },
                                {
                                    "type": [
                                        "null",
                                        "string"
                                    ],
                                    "name": "#mutect.yaml/mutect_params/power_file"
                                },
                                {
                                    "type": [
                                        "null",
                                        "boolean"
                                    ],
                                    "name": "#mutect.yaml/mutect_params/preserve_qscores_less_than"
                                },
                                {
                                    "type": [
                                        "null",
                                        "int"
                                    ],
                                    "name": "#mutect.yaml/mutect_params/read_buffer_size"
                                },
                                {
                                    "type": {
                                        "type": "array",
                                        "items": "string"
                                    },
                                    "name": "#mutect.yaml/mutect_params/read_filter"
                                },
                                {
                                    "type": [
                                        "null",
                                        "File"
                                    ],
                                    "name": "#mutect.yaml/mutect_params/read_group_black_list"
                                },
                                {
                                    "type": [
                                        "null",
                                        "File"
                                    ],
                                    "name": "#mutect.yaml/mutect_params/reference_sequence"
                                },
                                {
                                    "type": [
                                        "null",
                                        "boolean"
                                    ],
                                    "name": "#mutect.yaml/mutect_params/remove_program_records"
                                },
                                {
                                    "type": [
                                        "null",
                                        "string"
                                    ],
                                    "name": "#mutect.yaml/mutect_params/required_maximum_alt_allele_mapping_quality_score"
                                },
                                {
                                    "type": [
                                        "null",
                                        "string"
                                    ],
                                    "name": "#mutect.yaml/mutect_params/somatic_classification_normal_power_threshold"
                                },
                                {
                                    "type": [
                                        "null",
                                        "string"
                                    ],
                                    "name": "#mutect.yaml/mutect_params/tag"
                                },
                                {
                                    "type": [
                                        "null",
                                        "string"
                                    ],
                                    "name": "#mutect.yaml/mutect_params/tumor_depth_file"
                                },
                                {
                                    "type": [
                                        "null",
                                        "string"
                                    ],
                                    "name": "#mutect.yaml/mutect_params/tumor_f_pretest"
                                },
                                {
                                    "type": [
                                        "null",
                                        "string"
                                    ],
                                    "name": "#mutect.yaml/mutect_params/tumor_lod"
                                },
                                {
                                    "type": [
                                        "null",
                                        "string"
                                    ],
                                    "name": "#mutect.yaml/mutect_params/unsafe"
                                },
                                {
                                    "type": [
                                        "null",
                                        "boolean"
                                    ],
                                    "name": "#mutect.yaml/mutect_params/useOriginalQualities"
                                },
                                {
                                    "type": [
                                        "null",
                                        "string"
                                    ],
                                    "name": "#mutect.yaml/mutect_params/validation_strictness"
                                },
                                {
                                    "type": [
                                        "null",
                                        "string"
                                    ],
                                    "name": "#mutect.yaml/mutect_params/vcf"
                                }
                            ]
                        }
                    ],
                    "class": "SchemaDefRequirement"
                }
            ],
            "inputs": [
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "The input covariates table file which enables on-the-fly base quality score recalibration",
                    "inputBinding": {
                        "prefix": "--BQSR"
                    },
                    "id": "#mutect.cwl/BQSR"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "Absolute Copy Number Data, as defined by Absolute, to use in power calculations",
                    "inputBinding": {
                        "prefix": "--absolute_copy_number_data"
                    },
                    "id": "#mutect.cwl/absolute_copy_number_data"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "Reads arguments from the specified file",
                    "inputBinding": {
                        "prefix": "--arg_file"
                    },
                    "id": "#mutect.cwl/arg_file"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "if the tumor bam contains multiple samples, only use read groups with SM equal to this value",
                    "inputBinding": {
                        "prefix": "--bam_tumor_sample_name"
                    },
                    "id": "#mutect.cwl/bam_tumor_sample_name"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "Type of BAQ calculation to apply in the engine (OFF|CALCULATE_AS_NECESSARY| RECALCULATE)",
                    "inputBinding": {
                        "prefix": "--baq"
                    },
                    "id": "#mutect.cwl/baq"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "BAQ gap open penalty (Phred Scaled). Default value is 40. 30 is perhaps better for whole genome call sets",
                    "inputBinding": {
                        "prefix": "--baqGapOpenPenalty"
                    },
                    "id": "#mutect.cwl/baqGapOpenPenalty"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "pvalue threshold for fishers exact test of clipping bias in mutant reads vs ref reads",
                    "inputBinding": {
                        "prefix": "--clipping_bias_pvalue_threshold"
                    },
                    "id": "#mutect.cwl/clipping_bias_pvalue_threshold"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "doc": "VCF file of COSMIC sites",
                    "inputBinding": {
                        "prefix": "--cosmic"
                    },
                    "secondaryFiles": [
                        "^.vcf.idx"
                    ],
                    "id": "#mutect.cwl/cosmic"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "write out 20x of Q20 coverage in WIGGLE format to this file",
                    "inputBinding": {
                        "prefix": "--coverage_20_q20_file"
                    },
                    "id": "#mutect.cwl/coverage_20_q20_file"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "write out coverage in WIGGLE format to this file",
                    "inputBinding": {
                        "prefix": "--coverage_file"
                    },
                    "id": "#mutect.cwl/coverage_file"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "doc": "VCF file of DBSNP information",
                    "inputBinding": {
                        "prefix": "--dbsnp"
                    },
                    "secondaryFiles": [
                        "^.vcf.idx"
                    ],
                    "id": "#mutect.cwl/dbsnp"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "LOD threshold for calling normal non-variant at dbsnp sites",
                    "inputBinding": {
                        "prefix": "--dbsnp_normal_lod"
                    },
                    "id": "#mutect.cwl/dbsnp_normal_lod"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "If reads are missing some or all base quality scores, this value will be used for all base quality scores",
                    "inputBinding": {
                        "prefix": "--defaultBaseQualities"
                    },
                    "id": "#mutect.cwl/defaultBaseQualities"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "default": false,
                    "doc": "Completely eliminates randomization from nondeterministic methods. To be used mostly in the testing framework where dynamic parallelism can result in differing numbers of calls to the generator.",
                    "inputBinding": {
                        "prefix": "--disableRandomization"
                    },
                    "id": "#mutect.cwl/disableRandomization"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "default": false,
                    "doc": "If true, disables printing of base insertion and base deletion tags (with -BQSR)",
                    "inputBinding": {
                        "prefix": "--disable_indel_quals"
                    },
                    "id": "#mutect.cwl/disable_indel_quals"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "doc": "Target coverage threshold for downsampling to coverage",
                    "inputBinding": {
                        "prefix": "--downsample_to_coverage"
                    },
                    "id": "#mutect.cwl/downsample_to_coverage"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "NONE",
                    "doc": "Type of reads downsampling to employ at a given locus. Reads will be selected randomly to be removed from the pile based on the method described here (NONE|ALL_READS| BY_SAMPLE) given locus; note that downsampled reads are randomly selected from all possible reads at a locus",
                    "inputBinding": {
                        "prefix": "--downsampling_type"
                    },
                    "id": "#mutect.cwl/downsampling_type"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "default": false,
                    "doc": "If true, enables printing of the OQ tag with the original base qualities (with -BQSR)",
                    "inputBinding": {
                        "prefix": "--emit_original_quals"
                    },
                    "id": "#mutect.cwl/emit_original_quals"
                },
                {
                    "type": "boolean",
                    "default": true,
                    "inputBinding": {
                        "prefix": "--enable_extended_output"
                    },
                    "id": "#mutect.cwl/enable_extended_output"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "One or more genomic intervals to exclude from processing. Can be explicitly specified on the command line or in a file (including a rod file)",
                    "inputBinding": {
                        "prefix": "--excludeIntervals"
                    },
                    "id": "#mutect.cwl/excludeIntervals"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "default": false,
                    "doc": "if a read has mismatching number of bases and base qualities, filter out the read instead of blowing up.",
                    "inputBinding": {
                        "prefix": "--filter_mismatching_base_and_quals"
                    },
                    "id": "#mutect.cwl/filter_mismatching_base_and_quals"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "default": false,
                    "doc": "force output for all alleles at each site",
                    "inputBinding": {
                        "prefix": "--force_alleles"
                    },
                    "id": "#mutect.cwl/force_alleles"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "default": false,
                    "doc": "force output for each site",
                    "inputBinding": {
                        "prefix": "--force_output"
                    },
                    "id": "#mutect.cwl/force_output"
                },
                {
                    "type": [
                        "null",
                        "float"
                    ],
                    "doc": "estimate of fraction (0-1) of physical contamination with other unrelated samples",
                    "inputBinding": {
                        "prefix": "--fraction_contamination"
                    },
                    "id": "#mutect.cwl/fraction_contamination"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "threshold for determining if there is relatedness between the alt and ref allele read piles",
                    "inputBinding": {
                        "prefix": "--fraction_mapq0_threshold"
                    },
                    "id": "#mutect.cwl/fraction_mapq0_threshold"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "how many gapped events (ins/del) are allowed in proximity to this candidate",
                    "inputBinding": {
                        "prefix": "--gap_events_threshold"
                    },
                    "id": "#mutect.cwl/gap_events_threshold"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "GATK Key file. Required if running with -et NO_ET. Please see -phone-home-and-how-does-it-affect-me#latest for details.",
                    "inputBinding": {
                        "prefix": "--gatk_key"
                    },
                    "id": "#mutect.cwl/gatk_key"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "if this fraction or more of the bases in a read are soft/hard clipped, do not use this read for mutation calling",
                    "inputBinding": {
                        "prefix": "--heavily_clipped_read_fraction"
                    },
                    "id": "#mutect.cwl/heavily_clipped_read_fraction"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "Initial LOD threshold for calling tumor variant",
                    "inputBinding": {
                        "prefix": "--initial_tumor_lod"
                    },
                    "id": "#mutect.cwl/initial_tumor_lod"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "doc": "SAM or BAM file(s)",
                    "inputBinding": {
                        "prefix": "--input_file:normal"
                    },
                    "secondaryFiles": [
                        "^.bai"
                    ],
                    "id": "#mutect.cwl/input_file_normal"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "doc": "SAM or BAM file(s)",
                    "inputBinding": {
                        "prefix": "--input_file:tumor"
                    },
                    "secondaryFiles": [
                        "^.bai"
                    ],
                    "id": "#mutect.cwl/input_file_tumor"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "Indicates the interval merging rule we should use for abutting intervals (ALL| OVERLAPPING_ONLY)",
                    "inputBinding": {
                        "prefix": "--interval_merging"
                    },
                    "id": "#mutect.cwl/interval_merging"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "Indicates how many basepairs of padding to include around each of the intervals specified with the -L/",
                    "inputBinding": {
                        "prefix": "--interval_padding"
                    },
                    "id": "#mutect.cwl/interval_padding"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "Indicates the set merging approach the interval parser should use to combine the various -L or -XL inputs (UNION| INTERSECTION)",
                    "inputBinding": {
                        "prefix": "--interval_set_rule"
                    },
                    "id": "#mutect.cwl/interval_set_rule"
                },
                {
                    "type": [
                        "null",
                        "string",
                        "File"
                    ],
                    "doc": "One or more genomic intervals over which to operate. Can be explicitly specified on the command line or in a file (including a rod file)",
                    "inputBinding": {
                        "prefix": "--intervals"
                    },
                    "id": "#mutect.cwl/intervals"
                },
                {
                    "type": "string",
                    "id": "#mutect.cwl/java_7"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "default": false,
                    "doc": "Should we override the Walker's default and keep program records from the SAM header",
                    "inputBinding": {
                        "prefix": "--keep_program_records"
                    },
                    "id": "#mutect.cwl/keep_program_records"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "Set the logging location",
                    "inputBinding": {
                        "prefix": "--log_to_file"
                    },
                    "id": "#mutect.cwl/log_to_file"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "Set the minimum level of logging, i.e. setting INFO get's you INFO up to FATAL, setting ERROR gets you ERROR and FATAL level logging.",
                    "inputBinding": {
                        "prefix": "--logging_level"
                    },
                    "id": "#mutect.cwl/logging_level"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "If provided, that GATK will stop execution cleanly as soon after maxRuntime has been exceeded, truncating the run but not exiting with a failure. By default the value is interpreted in minutes, but this can be changed by maxRuntimeUnits",
                    "inputBinding": {
                        "prefix": "--maxRuntime"
                    },
                    "id": "#mutect.cwl/maxRuntime"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "The TimeUnit for maxRuntime (NANOSECONDS| MICROSECONDS|MILLISECONDS|SECONDS|MINUTES| HOURS|DAYS)",
                    "inputBinding": {
                        "prefix": "--maxRuntimeUnits"
                    },
                    "id": "#mutect.cwl/maxRuntimeUnits"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "threshold for maximum alternate allele fraction in normal",
                    "inputBinding": {
                        "prefix": "--max_alt_allele_in_normal_fraction"
                    },
                    "id": "#mutect.cwl/max_alt_allele_in_normal_fraction"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "threshold for maximum alternate allele counts in normal",
                    "inputBinding": {
                        "prefix": "--max_alt_alleles_in_normal_count"
                    },
                    "id": "#mutect.cwl/max_alt_alleles_in_normal_count"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "threshold for maximum alternate allele quality score sum in normal",
                    "inputBinding": {
                        "prefix": "--max_alt_alleles_in_normal_qscore_sum"
                    },
                    "id": "#mutect.cwl/max_alt_alleles_in_normal_qscore_sum"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "threshold for minimum base quality score",
                    "inputBinding": {
                        "prefix": "--min_qscore"
                    },
                    "id": "#mutect.cwl/min_qscore"
                },
                {
                    "type": [
                        "null",
                        "float"
                    ],
                    "doc": "minimum fraction of cells which are presumed to have a mutation, used to handle non-clonality and contamination",
                    "inputBinding": {
                        "prefix": "--minimum_mutation_cell_fraction"
                    },
                    "id": "#mutect.cwl/minimum_mutation_cell_fraction"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "minimum allele fraction to be considered in normal, useful for normal sample contaminated with tumor",
                    "inputBinding": {
                        "prefix": "--minimum_normal_allele_fraction"
                    },
                    "id": "#mutect.cwl/minimum_normal_allele_fraction"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "default": false,
                    "doc": "Enable GATK threading efficiency monitoring",
                    "inputBinding": {
                        "prefix": "--monitorThreadEfficiency"
                    },
                    "id": "#mutect.cwl/monitorThreadEfficiency"
                },
                {
                    "type": "string",
                    "id": "#mutect.cwl/mutect"
                },
                {
                    "type": "#mutect.yaml/mutect_params",
                    "id": "#mutect.cwl/mutect_params"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "default": false,
                    "doc": "Makes the GATK behave non deterministically, that is, the random numbers generated will be different in every run",
                    "inputBinding": {
                        "prefix": "--nonDeterministicRandomSeed"
                    },
                    "id": "#mutect.cwl/nonDeterministicRandomSeed"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "default": false,
                    "doc": "used for debugging, basically exit as soon as we get the reads",
                    "inputBinding": {
                        "prefix": "--noop"
                    },
                    "id": "#mutect.cwl/noop"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "write out normal read depth in WIGGLE format to this file",
                    "inputBinding": {
                        "prefix": "--normal_depth_file"
                    },
                    "id": "#mutect.cwl/normal_depth_file"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "LOD threshold for calling normal non-germline",
                    "inputBinding": {
                        "prefix": "--normal_lod"
                    },
                    "id": "#mutect.cwl/normal_lod"
                },
                {
                    "type": "string",
                    "doc": "name to use for normal in output files",
                    "inputBinding": {
                        "prefix": "--normal_sample_name"
                    },
                    "id": "#mutect.cwl/normal_sample_name"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "The total number of BAM file handles to keep open simultaneously",
                    "inputBinding": {
                        "prefix": "--num_bam_file_handles"
                    },
                    "id": "#mutect.cwl/num_bam_file_handles"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "doc": "How many CPU threads should be allocated per data thread to running this analysis?",
                    "inputBinding": {
                        "prefix": "--num_cpu_threads_per_data_thread"
                    },
                    "id": "#mutect.cwl/num_cpu_threads_per_data_thread"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "doc": "How many data threads should be allocated to running this analysis.",
                    "inputBinding": {
                        "prefix": "--num_threads"
                    },
                    "id": "#mutect.cwl/num_threads"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "default": false,
                    "doc": "only emit passing calls",
                    "inputBinding": {
                        "prefix": "--only_passing_calls"
                    },
                    "id": "#mutect.cwl/only_passing_calls"
                },
                {
                    "type": [
                        "null",
                        "string",
                        "File"
                    ],
                    "doc": "Call-stats output",
                    "inputBinding": {
                        "prefix": "--out"
                    },
                    "id": "#mutect.cwl/out"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "Pedigree files for samples",
                    "inputBinding": {
                        "prefix": "--pedigree"
                    },
                    "id": "#mutect.cwl/pedigree"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "Pedigree string for samples",
                    "inputBinding": {
                        "prefix": "--pedigreeString"
                    },
                    "id": "#mutect.cwl/pedigreeString"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "How strict should we be in validating the pedigree information? (STRICT|SILENT)",
                    "inputBinding": {
                        "prefix": "--pedigreeValidationType"
                    },
                    "id": "#mutect.cwl/pedigreeValidationType"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "If provided, a GATK runtime performance log will be written to this file",
                    "inputBinding": {
                        "prefix": "--performanceLog"
                    },
                    "id": "#mutect.cwl/performanceLog"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "What kind of GATK run report should we generate? STANDARD is the default, can be NO_ET so nothing is posted to the run repository. Please see -phone-home-and-how-does-it-affect-me#latest for details. (NO_ET|STANDARD|STDOUT)",
                    "inputBinding": {
                        "prefix": "--phone_home"
                    },
                    "id": "#mutect.cwl/phone_home"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "threshold for clustered read position artifact MAD",
                    "inputBinding": {
                        "prefix": "--pir_mad_threshold"
                    },
                    "id": "#mutect.cwl/pir_mad_threshold"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "threshold for clustered read position artifact median",
                    "inputBinding": {
                        "prefix": "--pir_median_threshold"
                    },
                    "id": "#mutect.cwl/pir_median_threshold"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "Allelic fraction constant to use in power calculations",
                    "inputBinding": {
                        "prefix": "--power_constant_af"
                    },
                    "id": "#mutect.cwl/power_constant_af"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "Phred scale quality score constant to use in power calculations",
                    "inputBinding": {
                        "prefix": "--power_constant_qscore"
                    },
                    "id": "#mutect.cwl/power_constant_qscore"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "write out power in WIGGLE format to this file",
                    "inputBinding": {
                        "prefix": "--power_file"
                    },
                    "id": "#mutect.cwl/power_file"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "Bases with quality scores less than this threshold won't be recalibrated (with -BQSR)",
                    "inputBinding": {
                        "prefix": "--preserve_qscores_less_than"
                    },
                    "id": "#mutect.cwl/preserve_qscores_less_than"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "Number of reads per SAM file to buffer in memory",
                    "inputBinding": {
                        "prefix": "--read_buffer_size"
                    },
                    "id": "#mutect.cwl/read_buffer_size"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "Specify filtration criteria to apply to each read individually",
                    "inputBinding": {
                        "prefix": "--read_filter"
                    },
                    "id": "#mutect.cwl/read_filter"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "Filters out read groups matching <TAG> -<STRING> or a .txt file containing the filter strings one per line.",
                    "inputBinding": {
                        "prefix": "--read_group_black_list"
                    },
                    "id": "#mutect.cwl/read_group_black_list"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "--reference_sequence"
                    },
                    "id": "#mutect.cwl/reference_sequence"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "default": false,
                    "doc": "Should we override the Walker's default and remove program records from the SAM header",
                    "inputBinding": {
                        "prefix": "--remove_program_records"
                    },
                    "id": "#mutect.cwl/remove_program_records"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "default": false,
                    "doc": "required minimum value for <required_maximum_alt_allele_mapping_quality_score> tumor alt allele maximum mapping quality score",
                    "inputBinding": {
                        "prefix": "--required_maximum_alt_allele_mapping_quality_score"
                    },
                    "id": "#mutect.cwl/required_maximum_alt_allele_mapping_quality_score"
                },
                {
                    "type": "#variants_tools.yaml/run_tools",
                    "id": "#mutect.cwl/run_tools"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "default": false,
                    "doc": "Power threshold for normal to <somatic_classification_normal_power_threshold> determine germline vs variant",
                    "inputBinding": {
                        "prefix": "--somatic_classification_normal_power_threshold"
                    },
                    "id": "#mutect.cwl/somatic_classification_normal_power_threshold"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "Arbitrary tag string to identify this GATK run as part of a group of runs, for later analysis",
                    "inputBinding": {
                        "prefix": "--tag"
                    },
                    "id": "#mutect.cwl/tag"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "write out tumor read depth in WIGGLE format to this file",
                    "inputBinding": {
                        "prefix": "--tumor_depth_file"
                    },
                    "id": "#mutect.cwl/tumor_depth_file"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "for computational efficiency, reject sites with allelic fraction below this threshold",
                    "inputBinding": {
                        "prefix": "--tumor_f_pretest"
                    },
                    "id": "#mutect.cwl/tumor_f_pretest"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "LOD threshold for calling tumor variant",
                    "inputBinding": {
                        "prefix": "--tumor_lod"
                    },
                    "id": "#mutect.cwl/tumor_lod"
                },
                {
                    "type": "string",
                    "doc": "name to use for tumor in output files",
                    "inputBinding": {
                        "prefix": "--tumor_sample_name"
                    },
                    "id": "#mutect.cwl/tumor_sample_name"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "If set, enables unsafe operations - nothing will be checked at runtime. For expert users only who know what they are doing. We do not support usage of this argument. (ALLOW_UNINDEXED_BAM| ALLOW_UNSET_BAM_SORT_ORDER| NO_READ_ORDER_VERIFICATION| ALLOW_SEQ_DICT_INCOMPATIBILITY| LENIENT_VCF_PROCESSING|ALL)",
                    "inputBinding": {
                        "prefix": "--unsafe"
                    },
                    "id": "#mutect.cwl/unsafe"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "default": false,
                    "doc": "If set, use the original base quality scores from the OQ tag when present instead of the standard scores",
                    "inputBinding": {
                        "prefix": "--useOriginalQualities"
                    },
                    "id": "#mutect.cwl/useOriginalQualities"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "How strict should we be with validation (STRICT|LENIENT|SILENT)",
                    "inputBinding": {
                        "prefix": "--validation_strictness"
                    },
                    "id": "#mutect.cwl/validation_strictness"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "doc": "VCF output of mutation candidates",
                    "inputBinding": {
                        "prefix": "--vcf"
                    },
                    "id": "#mutect.cwl/vcf"
                }
            ],
            "id": "#mutect.cwl",
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "${\n  if (inputs.out)\n    return inputs.out;\n  return null;\n}\n"
                    },
                    "id": "#mutect.cwl/callstats_output"
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "${\n  if (inputs.vcf)\n    return inputs.vcf;\n  return null;\n}\n"
                    },
                    "id": "#mutect.cwl/output"
                }
            ]
        },
        {
            "class": "CommandLineTool",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "ramMin": 32000,
                    "coresMin": 4,
                    "outdirMax": 20000,
                    "class": "ResourceRequirement"
                },
                {
                    "types": [
                        {
                            "$import": "#variants_tools.yaml/run_tools"
                        },
                        {
                            "name": "#vardict.yaml/vardict_params",
                            "type": "record",
                            "fields": [
                                {
                                    "name": "#vardict.yaml/vardict_params/min_num_variant_reads",
                                    "type": "int"
                                },
                                {
                                    "name": "#vardict.yaml/vardict_params/column_for_chromosome",
                                    "type": "int"
                                },
                                {
                                    "name": "#vardict.yaml/vardict_params/column_for_gene_name",
                                    "type": "int"
                                },
                                {
                                    "name": "#vardict.yaml/vardict_params/column_for_region_start",
                                    "type": "int"
                                },
                                {
                                    "name": "#vardict.yaml/vardict_params/column_for_region_end",
                                    "type": "int"
                                },
                                {
                                    "name": "#vardict.yaml/vardict_params/allele_freq_thres",
                                    "type": "float"
                                }
                            ]
                        }
                    ],
                    "class": "SchemaDefRequirement"
                },
                {
                    "class": "ShellCommandRequirement"
                }
            ],
            "arguments": [
                "$(inputs.vardict)",
                "-E",
                "$(inputs.column_for_region_end)",
                "-G",
                "$(inputs.reference_fasta)",
                "-N",
                "$(inputs.tumor_sample_name)",
                "-c",
                "$(inputs.column_for_chromosome)",
                "-b",
                "$(inputs.tumor_bam.path + '|' + inputs.normal_bam.path)",
                "-g",
                "$(inputs.column_for_gene_name)",
                "-f",
                "$(inputs.allele_freq_thres)",
                "-S",
                "$(inputs.column_for_region_start)",
                "-r",
                "$(inputs.min_num_variant_reads)",
                "$(inputs.bed_file)",
                {
                    "shellQuote": false,
                    "valueFrom": "$('|')"
                },
                "$(inputs.testsomatic)",
                {
                    "shellQuote": false,
                    "valueFrom": "$('|')"
                },
                "$(inputs.var2vcf_paired)",
                "-A",
                "-N",
                "$(inputs.tumor_sample_name + '|' + inputs.normal_sample_name)",
                "-f",
                "$(inputs.allele_freq_thres)"
            ],
            "stdout": "$(inputs.output_file_name)",
            "inputs": [
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "doc": "Indicate the chromosome names are just numbers, such as 1, 2, not chr1, chr2",
                    "inputBinding": {
                        "prefix": "-C"
                    },
                    "id": "#vardict_paired.cwl/C"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "doc": "If set, reads with mapping quality less than INT will be filtered and ignored",
                    "inputBinding": {
                        "prefix": "-Q"
                    },
                    "id": "#vardict_paired.cwl/Q"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "doc": "Extension of bp to look for mismatches after insersion or deletion. Default to 3 bp, or only calls when they're within 3 bp.",
                    "inputBinding": {
                        "prefix": "-X"
                    },
                    "id": "#vardict_paired.cwl/X"
                },
                {
                    "type": "float",
                    "doc": "The threshold for allele frequency",
                    "id": "#vardict_paired.cwl/allele_freq_thres"
                },
                {
                    "type": "File",
                    "id": "#vardict_paired.cwl/bed_file"
                },
                {
                    "type": "int",
                    "doc": "The column for chromosome",
                    "id": "#vardict_paired.cwl/column_for_chromosome"
                },
                {
                    "type": "int",
                    "doc": "The column for gene name, or segment annotation",
                    "id": "#vardict_paired.cwl/column_for_gene_name"
                },
                {
                    "type": "int",
                    "doc": "The column for region end, e.g. gene end",
                    "id": "#vardict_paired.cwl/column_for_region_end"
                },
                {
                    "type": "int",
                    "doc": "The column for region start, e.g. gene start",
                    "id": "#vardict_paired.cwl/column_for_region_start"
                },
                {
                    "type": "int",
                    "doc": "The minimum number of reads to call a variant",
                    "id": "#vardict_paired.cwl/min_num_variant_reads"
                },
                {
                    "type": "File",
                    "doc": "Normal bam",
                    "secondaryFiles": [
                        "^.bai"
                    ],
                    "id": "#vardict_paired.cwl/normal_bam"
                },
                {
                    "type": "string",
                    "doc": "Normal Sample Name",
                    "id": "#vardict_paired.cwl/normal_sample_name"
                },
                {
                    "type": "string",
                    "id": "#vardict_paired.cwl/output_file_name"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "doc": "The phred score for a base to be considered a good call. Default - 25 (for Illumina) For PGM, set it to ~15, as PGM tends to under estimate base quality.",
                    "inputBinding": {
                        "prefix": "-q"
                    },
                    "id": "#vardict_paired.cwl/q"
                },
                {
                    "type": "File",
                    "doc": "Reference fasta",
                    "id": "#vardict_paired.cwl/reference_fasta"
                },
                {
                    "type": "#variants_tools.yaml/run_tools",
                    "id": "#vardict_paired.cwl/run_tools"
                },
                {
                    "type": "string",
                    "id": "#vardict_paired.cwl/testsomatic"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "doc": "Threads count.",
                    "inputBinding": {
                        "prefix": "-th"
                    },
                    "id": "#vardict_paired.cwl/th"
                },
                {
                    "type": "File",
                    "doc": "Tumor bam",
                    "secondaryFiles": [
                        "^.bai"
                    ],
                    "id": "#vardict_paired.cwl/tumor_bam"
                },
                {
                    "type": "string",
                    "doc": "Tumor Sample Name",
                    "id": "#vardict_paired.cwl/tumor_sample_name"
                },
                {
                    "type": "string",
                    "id": "#vardict_paired.cwl/var2vcf_paired"
                },
                {
                    "type": "string",
                    "id": "#vardict_paired.cwl/vardict"
                },
                {
                    "type": "#vardict.yaml/vardict_params",
                    "id": "#vardict_paired.cwl/vardict_params"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "doc": "The number of nucleotide to extend for each segment, default - 0 -y",
                    "inputBinding": {
                        "prefix": "-x"
                    },
                    "id": "#vardict_paired.cwl/x"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "doc": "Indicate wehther is zero-based cooridates, as IGV does. Default - 1 for BED file or amplicon BED file. Use 0 to turn it off. When use -R option, it's set to 0AUTHOR. Written by Zhongwu Lai, AstraZeneca, Boston, USAREPORTING BUGS. Report bugs to zhongwu@yahoo.comCOPYRIGHT. This is free software - you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.",
                    "inputBinding": {
                        "prefix": "-z"
                    },
                    "id": "#vardict_paired.cwl/z"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#vardict_paired.cwl/output",
                    "outputBinding": {
                        "glob": "$(inputs.output_file_name)"
                    }
                }
            ],
            "id": "#vardict_paired.cwl"
        },
        {
            "class": "Workflow",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "MultipleInputFeatureRequirement"
                },
                {
                    "class": "ScatterFeatureRequirement"
                },
                {
                    "types": [
                        {
                            "$import": "#variants_tools.yaml/run_tools"
                        },
                        {
                            "$import": "#mutect.yaml/mutect_params"
                        },
                        {
                            "$import": "#vardict.yaml/vardict_params"
                        }
                    ],
                    "class": "SchemaDefRequirement"
                },
                {
                    "class": "StepInputExpressionRequirement"
                },
                {
                    "class": "SubworkflowFeatureRequirement"
                }
            ],
            "inputs": [
                {
                    "type": "File",
                    "id": "#main/bed_file"
                },
                {
                    "type": "File",
                    "secondaryFiles": [
                        ".idx"
                    ],
                    "id": "#main/cosmic"
                },
                {
                    "type": "File",
                    "secondaryFiles": [
                        ".idx"
                    ],
                    "id": "#main/dbsnp"
                },
                {
                    "type": "#mutect.yaml/mutect_params",
                    "id": "#main/mutect_params"
                },
                {
                    "type": "File",
                    "secondaryFiles": [
                        "^.bai"
                    ],
                    "id": "#main/normal_bam"
                },
                {
                    "type": "string",
                    "id": "#main/normal_sample_name"
                },
                {
                    "type": "File",
                    "id": "#main/reference_fasta"
                },
                {
                    "type": "#variants_tools.yaml/run_tools",
                    "id": "#main/run_tools"
                },
                {
                    "type": "File",
                    "secondaryFiles": [
                        "^.bai"
                    ],
                    "id": "#main/tumor_bam"
                },
                {
                    "type": "string",
                    "id": "#main/tumor_sample_name"
                },
                {
                    "type": "#vardict.yaml/vardict_params",
                    "id": "#main/vardict_params"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputSource": "#main/mutect/callstats_output",
                    "id": "#main/mutect_callstats"
                },
                {
                    "type": "File",
                    "outputSource": "#main/mutect/output",
                    "id": "#main/mutect_vcf"
                },
                {
                    "type": "File",
                    "outputSource": "#main/vardict/output",
                    "id": "#main/vardict_vcf"
                }
            ],
            "steps": [
                {
                    "run": "#mutect.cwl",
                    "in": [
                        {
                            "source": "#main/cosmic",
                            "id": "#main/mutect/cosmic"
                        },
                        {
                            "source": "#main/dbsnp",
                            "id": "#main/mutect/dbsnp"
                        },
                        {
                            "valueFrom": "$(inputs.mutect_params.dcov)",
                            "id": "#main/mutect/downsample_to_coverage"
                        },
                        {
                            "valueFrom": "$(inputs.mutect_params.fraction_contamination)",
                            "id": "#main/mutect/fraction_contamination"
                        },
                        {
                            "source": "#main/normal_bam",
                            "id": "#main/mutect/input_file_normal"
                        },
                        {
                            "source": "#main/tumor_bam",
                            "id": "#main/mutect/input_file_tumor"
                        },
                        {
                            "source": "#main/bed_file",
                            "id": "#main/mutect/intervals"
                        },
                        {
                            "valueFrom": "$(inputs.run_tools.java_7)",
                            "id": "#main/mutect/java_7"
                        },
                        {
                            "valueFrom": "$(inputs.mutect_params.minimum_mutation_cell_fraction)",
                            "id": "#main/mutect/minimum_mutation_cell_fraction"
                        },
                        {
                            "valueFrom": "$(inputs.run_tools.mutect)",
                            "id": "#main/mutect/mutect"
                        },
                        {
                            "source": "#main/mutect_params",
                            "id": "#main/mutect/mutect_params"
                        },
                        {
                            "source": "#main/normal_sample_name",
                            "id": "#main/mutect/normal_sample_name"
                        },
                        {
                            "valueFrom": "$(inputs.tumor_sample_name + '.' + inputs.normal_sample_name + '.mutect.txt')",
                            "id": "#main/mutect/out"
                        },
                        {
                            "valueFrom": "$(inputs.mutect_params.read_filter)",
                            "id": "#main/mutect/read_filter"
                        },
                        {
                            "source": "#main/reference_fasta",
                            "id": "#main/mutect/reference_sequence"
                        },
                        {
                            "source": "#main/run_tools",
                            "id": "#main/mutect/run_tools"
                        },
                        {
                            "source": "#main/tumor_sample_name",
                            "id": "#main/mutect/tumor_sample_name"
                        },
                        {
                            "valueFrom": "$(inputs.tumor_sample_name + '.' + inputs.normal_sample_name + '.mutect.vcf')",
                            "id": "#main/mutect/vcf"
                        }
                    ],
                    "out": [
                        "#main/mutect/output",
                        "#main/mutect/callstats_output"
                    ],
                    "id": "#main/mutect"
                },
                {
                    "run": "#vardict_paired.cwl",
                    "in": [
                        {
                            "valueFrom": "$(inputs.vardict_params.allele_freq_thres)",
                            "id": "#main/vardict/allele_freq_thres"
                        },
                        {
                            "source": "#main/bed_file",
                            "id": "#main/vardict/bed_file"
                        },
                        {
                            "valueFrom": "$(inputs.vardict_params.column_for_chromosome)",
                            "id": "#main/vardict/column_for_chromosome"
                        },
                        {
                            "valueFrom": "$(inputs.vardict_params.column_for_gene_name)",
                            "id": "#main/vardict/column_for_gene_name"
                        },
                        {
                            "valueFrom": "$(inputs.vardict_params.column_for_region_end)",
                            "id": "#main/vardict/column_for_region_end"
                        },
                        {
                            "valueFrom": "$(inputs.vardict_params.column_for_region_start)",
                            "id": "#main/vardict/column_for_region_start"
                        },
                        {
                            "valueFrom": "$(inputs.vardict_params.min_num_variant_reads)",
                            "id": "#main/vardict/min_num_variant_reads"
                        },
                        {
                            "source": "#main/normal_bam",
                            "id": "#main/vardict/normal_bam"
                        },
                        {
                            "source": "#main/normal_sample_name",
                            "id": "#main/vardict/normal_sample_name"
                        },
                        {
                            "valueFrom": "$(inputs.tumor_sample_name + '.' + inputs.normal_sample_name + '.vardict.vcf')",
                            "id": "#main/vardict/output_file_name"
                        },
                        {
                            "source": "#main/reference_fasta",
                            "id": "#main/vardict/reference_fasta"
                        },
                        {
                            "source": "#main/run_tools",
                            "id": "#main/vardict/run_tools"
                        },
                        {
                            "valueFrom": "$(inputs.run_tools.vardict_testsomatic)",
                            "id": "#main/vardict/testsomatic"
                        },
                        {
                            "source": "#main/tumor_bam",
                            "id": "#main/vardict/tumor_bam"
                        },
                        {
                            "source": "#main/tumor_sample_name",
                            "id": "#main/vardict/tumor_sample_name"
                        },
                        {
                            "valueFrom": "$(inputs.run_tools.vardict_var2vcf_paired)",
                            "id": "#main/vardict/var2vcf_paired"
                        },
                        {
                            "valueFrom": "$(inputs.run_tools.vardict)",
                            "id": "#main/vardict/vardict"
                        },
                        {
                            "source": "#main/vardict_params",
                            "id": "#main/vardict/vardict_params"
                        }
                    ],
                    "out": [
                        "#main/vardict/output"
                    ],
                    "id": "#main/vardict"
                }
            ],
            "id": "#main"
        }
    ],
    "cwlVersion": "v1.0"
}
